
#include <stdio.h>
#include <stdlib.h>
#include <math.h>

#define EPS 1.e-4

main(int argc, char* argv[])
{
    int n = 1000;
    double xmax = 10;
    double x;

    /* Parse the argument list. */

    if (argc > 1) n = atoi(argv[1]);
    if (argc > 2) xmax = atof(argv[2]);

    /* Print out the desired data table. */

    for (x = 0; x <= xmax + EPS; x += xmax/n) {
	printf("%f %f %f %f %f\n",
	       x, sin(x), 0.5*cos(2*x), j0(x), sin(x)*exp(-x*x/5));
    }
}
